# -*- encoding: utf-8 -*-
from __future__ import unicode_literals


TURBO_ALLOWED_TAGS = [
    'a',
    'abbr',
    'b',
    'big',
    'blockquote',
    'br',
    'button',
    'code',
    'dd',
    'del',
    'div',
    'dl',
    'dt',
    'em',
    'figcaption',
    'figure',
    'form',
    'h1',
    'h2',
    'h3',
    'h4',
    'h5',
    'h6',
    'header',
    'hr',
    'i',
    'iframe',
    'img',
    'ins',
    'li',
    'menu',
    'meta',
    'ol',
    'p',
    'pre',
    'small',
    'source',
    'strong',
    'sub',
    'sup',
    'table',
    'td',
    'th',
    'tr',
    'u',
    'ul',
    'video',
]

TURBO_ALLOWED_ATTRS = {
    'a': [
        'data-turbo',
        'href',
    ],
    'abbr': [
        'title',
    ],
    'img': [
        'src',
    ],
    'source': [
        'data-duration',
        'data-title',
        'src',
        'type',
    ],
    'video': [
        'height',
        'width',
    ],
    'iframe': [
        'allowfullscreen',
        'frameborder',
        'hd',
        'height',
        'referrerpolicy',
        'sandbox',
        'src',
        'width',
    ],
    'figure': [
        'data-platform-desktop',
        'data-platform-mobile',
        'data-turbo-ad-id',
    ],
    'div': [
        'data-agreement-company',
        'data-agreement-link',
        'data-author',
        'data-avatar-url',
        'data-block',
        'data-color',
        'data-description',
        'data-expanded',
        'data-height',
        'data-icon',
        'data-item-view',
        'data-layout',
        'data-network',
        'data-send-to',
        'data-stick',
        'data-subtitle',
        'data-thumb',
        'data-thumb-position',
        'data-thumb-ratio',
        'data-title',
        'data-type',
        'data-url',
        'data-value',
        'data-view',
        'itemscope',
        'itemtype',
    ],
    'table': [
        'data-invisible',
    ],
    'meta': [
        'content',
        'itemprop',
    ],
    'form': [
        'action',
        'data-agreement-company',
        'data-agreement-link',
        'data-send-to',
        'data-type',
        'method',
        'name',
        'placeholder',
        'type',
    ],
    'button': [
        'data-agreement-company',
        'data-agreement-link',
        'data-background-color',
        'data-color',
        'data-primary',
        'data-send-to',
        'data-turbo',
        'disabled',
        'formaction',
    ],
}
